Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #884 (assigned defect)

Opened 12 years ago

Last modified 10 years ago

bringing up a newly created adhoc device without channel assignment crashes the system

Reported by: kurth@informatik.hu-berlin.de Assigned to: br1 (accepted)
Priority: major Milestone: version 0.9.x - progressive release candidate phase
Component: madwifi: other Version: v0.9.1
Keywords: kernel panic adhoc Cc:
Patch is attached: 0 Pending:

Description

Steps to reproduce the crash:

< .. load the driver ..>

wlanconfig ath0 destroy

wlanconfig ath0 create wlandev wifi0 wlandmode adhoc

ifconfig ath0 up

Kernel dump:

bss channel not setupBreak instruction in kernel code[#1]:
Cpu 0
$ 0   : 00000000 10009c00 00000018 802268f4
$ 4   : 802268f4 8131fed4 00000001 8028caa4
$ 8   : 8131c928 811cc520 00000018 00000000
$12   : 00000000 7fdb9c58 00000000 00000000
$16   : 81335000 0000ffff 81eb2280 81e2a280
$20   : 00000000 ffffffff 81ffecc0 00000000
$24   : 00000008 2ab88910
$28   : 80222000 80223d08 ffffffff c00e2fd4
Hi    : 00000240
Lo    : 000001f8
epc   : c00e2fd4 ieee80211_dup_bss+0xa8/0x1bc [wlan]     Tainted: P
ra    : c00e2fd4 ieee80211_dup_bss+0xa8/0x1bc [wlan]
Status: 10009c03    KERNEL EXL IE
Cause : 00000024
PrId  : 00029007
Modules linked in: ath_pci wlan_scan_ap ath_rate_sample wlan ath_hal ipt_MASQUERADE ipt_REDIRECT iptable_nat iptable_filter ip_nat xt_tcpudp xt_conntrack ip_conntrack ip_tables x_tables sb_watchdog af_packet unix
Process swapper (pid: 0, threadinfo=80222000, task=802250e8)
Stack : a1e45480 81eb1180 00000000 81335000 81eb2280 81eb2280 8180302a 81803020
        c00e3440 81803030 8180302a 81803020 c00e33e4 7fc6fdff 01e454b0 0000804c
        81eb2280 81803030 8180302a c00d9aa0 80032710 81800000 8000f784 7fdb9c58
        00000000 00000000 4509643b 0009b25c 0003d22a 8004921c 81e2a280 81eb2000
        00000008 00000000 81eb1000 00000000 81eb2280 ffffffff 0000459a ffffffff
        ...
Call Trace:
 [<c00e3440>] ieee80211_fakeup_adhoc_node+0x28/0x110 [wlan]
 [<c00e33e4>] ieee80211_find_node+0x38/0x6c [wlan]
 [<c00d9aa0>] ieee80211_input+0x1f0/0x13ac [wlan]
 [<80032710>] getnstimeofday+0x18/0x4c
 [<8000f784>] do_gettimeofday+0x2c/0x130
 [<8004921c>] ktime_get_ts+0x24/0x88
 [<c00dad64>] ieee80211_input_all+0x108/0x20c [wlan]
 [<c0080954>] ath_rx_tasklet+0x78c/0x950 [ath_pci]
 [<c00807e8>] ath_rx_tasklet+0x620/0x950 [ath_pci]
 [<8003308c>] tasklet_action+0x108/0x178
 [<80032b38>] __do_softirq+0x68/0xf8
 [<8000b06c>] do_IRQ+0x24/0x34
 [<80032c20>] do_softirq+0x58/0x8c
 [<8005122c>] __do_IRQ+0xc8/0x12c
 [<80051208>] __do_IRQ+0xa4/0x12c
 [<80032d24>] irq_exit+0x40/0x4c
 [<8000b06c>] do_IRQ+0x24/0x34
 [<80001be4>] bcm47xx_irq_dispatch+0x64/0xe0
 [<80257000>] kernel_entry+0x0/0x7c
 [<80001d54>] bcm47xx_irq_handler+0xf4/0x100
 [<80257000>] kernel_entry+0x0/0x7c
 [<8000b280>] cpu_idle+0x50/0x58
 [<8000b264>] cpu_idle+0x34/0x58
 [<8000143c>] rest_init+0x2c/0x38
 [<80001434>] rest_init+0x24/0x38
 [<802577d0>] start_kernel+0x1f4/0x200
 [<802577ac>] start_kernel+0x1d0/0x200
 [<8025721c>] unknown_bootoption+0x0/0x228


Code: 2442c6c8  0040f809  00000000 <0000800d> 8e020000  ae1101c8  8c420224  30420100  10400013
Kernel panic - not syncing: Aiee, killing interrupt handler!

Change History

09/18/06 15:39:10 changed by anonymous

I can confirm the above problem. The dump seems to come from a non-x86 system, but for me the same crash happens on a (mostly) standard PC.

09/18/06 15:49:06 changed by anonymous

The dump comes from a Netgear WGT634U (mipsel).

03/10/07 23:27:51 changed by anonymous

I can confirm this too, on a x86 PC running Ubuntu Server and madwifi 0.9.2.1. I'm trying to connect to a Linksys Freifunk OLSR (Adhoc) with a fixed bssid 02:ca:ff:ee:ba:be.

10/04/07 10:44:32 changed by br1

  • keywords set to kernel panic adhoc.
  • owner set to br1.

the same problem is reported in #1515 (bss channel not setup)

10/04/07 10:46:23 changed by br1

  • status changed from new to assigned.

oh sorry, it was in #1512

(follow-up: ↓ 7 ) 06/27/08 10:15:49 changed by procom

I also suffered from same problem in madwifi-0.9.2 version on X86 PC Fedora system

After typing the command "wlanconfig ath0 create wlandev wifi0 wlandmode adhoc",

kernel panic occured.

(in reply to: ↑ 6 ) 06/30/08 08:00:15 changed by mrenzmann

Replying to procom:

I also suffered from same problem in madwifi-0.9.2

Try again with the latest release and/or the latest version from trunk. If the issue still exists (and only in this case), please open a new ticket that refers to this one.